# Interface methods for submodule: LandweberDeconvolutionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import IterativeDeconvolutionImageFilterProxy as _IterativeDeconvolutionImageFilterProxy


# Interface methods for class: LandweberDeconvolutionImageFilter
class LandweberDeconvolutionImageFilterProxy(_IterativeDeconvolutionImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetAlpha(self, _arg: float) -> None:
		""""""
		...

	def GetAlpha(self) -> float:
		""""""
		...

